These are chat archives for ushahidi/Community

8th
Dec 2015
Ushbot
@ushbot
Dec 08 2015 11:24
[furbyte, irc.freenode.net] hi, need advise-- we're still using Ushahidi v2 but our server host recently upgraded php to 5.6.14 ... now we're getting
[furbyte, irc.freenode.net] system/libraries/Encrypt.php [161]:
[furbyte, irc.freenode.net] mcrypt_decrypt(): Key of size 30 not supported by this algorithm. Only keys of sizes 16, 24 or 32 supported
[furbyte, irc.freenode.net] any advise what we can do?
Ushbot
@ushbot
Dec 08 2015 19:39
[David Losada, Ushahidi] hello furbyte! We are really sorry to hear about your trouble! Unfortunately v2 doesn't work well with newer php versions, and there isn't yet any official way of migrating a v2 deployment to our newer code (v3). I would say that your best bet today is to find a hoster where you can select the version of php that you would like to run. v2 works well with PHP 5.1 .
[David Losada, Ushahidi] Migration process from v2 to v3 is being worked on.. please leave us your email address through the contact chat in our website, if you would like to be notified when that happens.